Update for Half-Life 1.1.1.1 and client library for Mac/Linux

13»

Comments

  • MilaniumMilanium Join Date: 2012-12-27 Member: 176388Members Posts: 96 Advanced user
    Sadly still fails: gcc: error: vgui.so: file not found.
  • ZeitgeistZeitgeist FFM Join Date: 2014-05-20 Member: 196148Members Posts: 17 Advanced user
    edited May 2015
    So true :-( ! the problem was vgui.so lib was not added to git. Should be fixed now.
    Post edited by Zeitgeist on
  • romulasryromulasry Join Date: 2014-04-13 Member: 195358Members Posts: 5 Fully active user
    Could someone put up the compiled version? Also when it is done this should be put up on steam, imho.
  • PrefixPrefix Éirinn go Brách Join Date: 2006-12-31 Member: 59353Members, Constellation Posts: 456 Advanced user
    Is there any update to this? Would love to play some celerity resupply ;)
    Zeitgeist
  • ZeitgeistZeitgeist FFM Join Date: 2014-05-20 Member: 196148Members Posts: 17 Advanced user
    There is. However the problem is that I have to fix 2 bugs which make the game not entertaining. #1 The chat is broken #2 Mouse rotation is locked to an specific angle. Everything else should work like expected but it needs testing. I am also looking for someone who is able to compile a mac version.
  • PrefixPrefix Éirinn go Brách Join Date: 2006-12-31 Member: 59353Members, Constellation Posts: 456 Advanced user
    I'm actually here hoping for the mac version and can attempt a compile if you want, I'll checkout the github linked in th elast page and let you know how I got on.
  • GiGaBiTeGiGaBiTe Join Date: 2003-10-07 Member: 21489Members Posts: 1,115 Advanced user
    Prefix wrote: »
    I'm actually here hoping for the mac version and can attempt a compile if you want, I'll checkout the github linked in th elast page and let you know how I got on.

    I tried to compile a Mac Linux PowerPC version for grins and it failed because the source to vgui.so is missing. I got regular Half-Life to work on PowerPC, but it's dog slow because there are no hardware accelerated video drivers for PowerPC Linux.

    QUOTE (unknown)
    Admiral, why dont we just breach the hull after overriding the automatic hatchlocks closing procedure?

    Last time we did this an onos just put its fat **** inside the hole and lerks just farted a new athmosphere.
    It looked so gross that we decided to never ever do this again.


    My Website
    NS Map Archive
  • ZeitgeistZeitgeist FFM Join Date: 2014-05-20 Member: 196148Members Posts: 17 Advanced user
    If anyone likes to test the client or server you can download the zip file here!
  • tschumanntschumann Australia Join Date: 2010-05-26 Member: 71862Members Posts: 240 Advanced user
    Zeitgeist wrote: »
    When compiling a 32-bit application with gcc on a 64-bit system you will need "glibc-devel". As you suggested this dependency should be added to a list. On Debian you have to run this: "sudo apt-get install g++-multilib libc6-dev-i386" while on Suse this should do the trick: "zypper in glibc-devel-32bit"

    Thanks! gcc also needed the -m32 flag for me as well.

  • BacsuBacsu Join Date: 2007-02-28 Member: 60148Members Posts: 38 Advanced user
    edited February 2016
    Where to report bugs/errors? :)
    Post edited by Bacsu on
  • ZeitgeistZeitgeist FFM Join Date: 2014-05-20 Member: 196148Members Posts: 17 Advanced user
    Bugs and erros should go here.
  • BacsuBacsu Join Date: 2007-02-28 Member: 60148Members Posts: 38 Advanced user
    Anyone was able to get a v3.2.1a win server working?
    The last line i was able to catch was:
    Missing shutdown function for Sys_InitAuthentication() : Sys_ShutdownAuthentication()

    No luck with a recompile of it with VS 2010 Express.
  • tschumanntschumann Australia Join Date: 2010-05-26 Member: 71862Members Posts: 240 Advanced user
    @Zeitgeist where did you find a copy of FMOD 3.7.5? I looked around the site but it was a bit of a maze and it looked like it might be there under old versions of Fmod Ex.
  • ZeitgeistZeitgeist FFM Join Date: 2014-05-20 Member: 196148Members Posts: 17 Advanced user
    You can find this version here: https://web.archive.org/web/20051231045410/fmod.org/ in the FMOD 3.75 Programmers API section.
  • tschumanntschumann Australia Join Date: 2010-05-26 Member: 71862Members Posts: 240 Advanced user
    Ah thanks - fmodapi375.api/fmodapi375linux.tar.gz right?
  • PrefixPrefix Éirinn go Brách Join Date: 2006-12-31 Member: 59353Members, Constellation Posts: 456 Advanced user
    For those still around - I have NS1 running on Mac OS, latest version on the ENSL repo has Mac OS support. Compiles to dylib so you will need to install libpng12 using homebrew (or compile form source) and symlink in the correct place. I can help you out on the NS1 Community discord if you're stuck.
13»
Sign In or Register to comment.